import request from '@/utils/request'

// 查询短链课程看课记录列表
export function listCourseWatchLog(query) {
  return request({
    url: '/course/courseWatchLog/list',
    method: 'get',
    params: query
  })
}

export function deptListCourseWatchLog(query) {
  return request({
    url: '/course/courseWatchLog/deptList',
    method: 'get',
    params: query
  })
}

export function myListCourseWatchLog(query) {
  return request({
    url: '/course/courseWatchLog/myList',
    method: 'get',
    params: query
  })
}
export function statisticsList(query) {
  return request({
    url: '/course/courseWatchLog/statisticsList',
    method: 'get',
    params: query
  })
}
export function qwWatchLogStatisticsList(query) {
  return request({
    url: '/course/courseWatchLog/qwWatchLogStatisticsList',
    method: 'get',
    params: query
  })
}
export function myQwWatchLogStatisticsList(query) {
  return request({
    url: '/course/courseWatchLog/myQwWatchLogStatisticsList',
    method: 'get',
    params: query
  })
}


export function qwWatchLogAllStatisticsList(query) {
  return request({
    url: '/course/courseWatchLog/qwWatchLogAllStatisticsList',
    method: 'get',
    params: query
  })
}
export function myQwWatchLogAllStatisticsList(query) {
  return request({
    url: '/course/courseWatchLog/myQwWatchLogAllStatisticsList',
    method: 'get',
    params: query
  })
}

export function watchLogStatistics(query) {
  return request({
    url: '/course/courseWatchLog/watchLogStatistics',
    method: 'get',
    params: query
  })
}

// 查询短链课程看课记录详细
export function getCourseWatchLog(logId) {
  return request({
    url: '/course/courseWatchLog/' + logId,
    method: 'get'
  })
}

// 新增短链课程看课记录
export function addCourseWatchLog(data) {
  return request({
    url: '/course/courseWatchLog',
    method: 'post',
    data: data
  })
}

// 修改短链课程看课记录
export function updateCourseWatchLog(data) {
  return request({
    url: '/course/courseWatchLog',
    method: 'put',
    data: data
  })
}

// 删除短链课程看课记录
export function delCourseWatchLog(logId) {
  return request({
    url: '/course/courseWatchLog/' + logId,
    method: 'delete'
  })
}

// 导出短链课程看课记录
export function exportCourseWatchLog(query) {
  return request({
    url: '/course/courseWatchLog/export',
    method: 'get',
    params: query
  })
}

// 导出我的短链课程看课记录
export function myExportCourseWatchLog(query) {
  return request({
    url: '/course/courseWatchLog/myExport',
    method: 'get',
    params: query
  })
}

export function watchLogStatisticsExport(query) {
  return request({
    url: '/course/courseWatchLog/watchLogStatisticsExport',
    method: 'get',
    params: query
  })
}

// 根据名称模糊查询用户列表app看课
export function getCustomerListLikeName(params) {
  return request({
    url: '/course/appCourseWatchLog/getCustomerListLikeName',
    method: 'get',
    params: params
  })
}

// 根据名称模糊查询客服成员列表（app_customer_role_member）
export function getCustomerMemberListLikeName(params) {
  return request({
    url: '/course/appCourseWatchLog/getCustomerMemberListLikeName',
    method: 'get',
    params: params
  })
}
// 查询短链课程看课记录列表app看课
export function listAppCourseWatchLog(query) {
  return request({
    url: '/course/appCourseWatchLog/list',
    method: 'get',
    params: query
  })
}
// 导出短链课程看课记录app看课
export function exportAppCourseWatchLog(query) {
  return request({
    url: '/course/appCourseWatchLog/export',
    method: 'get',
    params: query
  })
}

// 批量修改好友备注
export function batchUpdateFriendRemark(data) {
  return request({
    url: '/course/appCourseWatchLog/batchUpdateFriendRemark',
    method: 'post',
    data: data
  })
}
